NX Open C++ Reference Guide
|
This builder allows the user to create a Drawing View <br> To create a new instance of this class, use @link Drawings::DraftingViewCollection::CreateStandardViewsBuilder Drawings::DraftingViewCollection::CreateStandardViewsBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Placement { PlacementCenter, PlacementCorner } |
The view Layout placement type (deprecated) More... | |
enum | Type { TypeFrontTop, TypeFrontRight, TypeFrontLeft, TypeFrontTopRight, TypeFrontTopLeft, TypeFrontTopRightIso, TypeFrontTopLeftIso } |
The view Layout type. More... | |
enum | View { ViewDrawing, ViewBase } |
The view type to create. More... | |
Public Member Functions | |
bool | Autoscale () |
Returns the autoscale mode for base view creation Created in NX6.0.2. | |
NXOpen::Drawings::ViewCenterCoordinateBuilder * | Coordinate () |
Returns the center coordinate Created in NX6.0.1. | |
NXOpen::Drawings::ViewPlacementBuilder * | FirstCorner () |
Returns the first corner view placement | |
NXOpen::Drawings::HiddenObjectsBuilder * | HiddenObjects () |
Returns the list of objects to not show in the view Created in NX6.0.2. | |
NXOpen::Drawings::StandardViewsBuilder::Type | LayoutType () |
Returns the Layout type Created in NX6.0.1. | |
double | MarginBetweenViews () |
Returns the margin between views Created in NX6.0.1. | |
double | MarginToBorder () |
Returns the margin to border Created in NX6.0.1. | |
NXOpen::Drawings::MultipleViewPlacementBuilder * | MultipleViewPlacement () |
Returns the multiple view placement Created in NX6.0.2. | |
NXOpen::Drawings::HiddenObjectsBuilder * | NonSectionedObjects () |
Returns the list of objects to not section in the view Created in NX6.0.2. | |
NXOpen::Part * | Part () |
Returns the part to use for base views Created in NX6.0.2. | |
NXOpen::Drawings::StandardViewsBuilder::Placement | PlacementType () |
Returns the Placement type | |
NXOpen::Drawings::ViewScaleBuilder * | Scale () |
Returns the view scale Created in NX6.0.1. | |
NXOpen::Drawings::ViewPlacementBuilder * | SecondCorner () |
Returns the second corner view placement | |
void | SetAutoscale (bool autoScale) |
Sets the autoscale mode for base view creation Created in NX6.0.2. | |
void | SetLayoutType (NXOpen::Drawings::StandardViewsBuilder::Type type) |
Sets the Layout type Created in NX6.0.1. | |
void | SetMarginBetweenViews (double marginBetweenViews) |
Sets the margin between views Created in NX6.0.1. | |
void | SetMarginToBorder (double marginToBorder) |
Sets the margin to border Created in NX6.0.1. | |
void | SetPart (NXOpen::Part *part) |
Sets the part to use for base views Created in NX6.0.2. | |
void | SetPlacementType (NXOpen::Drawings::StandardViewsBuilder::Placement type) |
Sets the Placement type | |
void | SetViewType (NXOpen::Drawings::StandardViewsBuilder::View viewType) |
Sets the view type Created in NX6.0.2. | |
NXOpen::Drawings::ViewPlacementBuilder * | ViewPlacement () |
Returns the view placement | |
NXOpen::Drawings::ViewStyleBuilder * | ViewStyle () |
Returns the view style Created in NX6.0.1. | |
NXOpen::Drawings::StandardViewsBuilder::View | ViewType () |
Returns the view type Created in NX6.0.2. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This builder allows the user to create a Drawing View <br> To create a new instance of this class, use @link Drawings::DraftingViewCollection::CreateStandardViewsBuilder Drawings::DraftingViewCollection::CreateStandardViewsBuilder @endlink <br>
Default values.
Property | Value |
---|---|
FirstCorner.AlignmentMethod (deprecated) |
Infer |
FirstCorner.AlignmentOption (deprecated) |
ToView |
LayoutType |
FrontTopRightIso |
MarginBetweenViews |
5 (millimeters part), 0.25 (inches part) |
MarginToBorder |
20 (millimeters part), 0.75 (inches part) |
MultipleViewPlacement.OptionType |
Center |
Scale.Denominator |
1.0 |
Scale.Numerator |
1.0 |
Scale.ScaleType |
Ratio |
ViewStyle.ViewStyleGeneral.AngleValue |
0.0 |
ViewStyle.ViewStyleOrientation.HingeLine.ReverseDirection |
false |
ViewStyle.ViewStyleOrientation.HingeLine.VectorOption |
Inferred |
ViewStyle.ViewStyleOrientation.Ovt.AssociativeOrientation |
0 |
Created in NX6.0.1.
The view Layout placement type (deprecated)
The view Layout type.
bool NXOpen::Drawings::StandardViewsBuilder::Autoscale | ( | ) |
Returns the autoscale mode for base view creation
Created in NX6.0.2.
License requirements : None
NXOpen::Drawings::ViewCenterCoordinateBuilder* NXOpen::Drawings::StandardViewsBuilder::Coordinate | ( | ) |
Returns the center coordinate
Created in NX6.0.1.
License requirements : None
NXOpen::Drawings::ViewPlacementBuilder* NXOpen::Drawings::StandardViewsBuilder::FirstCorner | ( | ) |
Returns the first corner view placement
Use the first corner of the multiple view placemnent builder instead
Created in NX6.0.1.
License requirements : None
NXOpen::Drawings::HiddenObjectsBuilder* NXOpen::Drawings::StandardViewsBuilder::HiddenObjects | ( | ) |
Returns the list of objects to not show in the view
Created in NX6.0.2.
License requirements : None
NXOpen::Drawings::StandardViewsBuilder::Type NXOpen::Drawings::StandardViewsBuilder::LayoutType | ( | ) |
Returns the Layout type
Created in NX6.0.1.
License requirements : None
double NXOpen::Drawings::StandardViewsBuilder::MarginBetweenViews | ( | ) |
Returns the margin between views
Created in NX6.0.1.
License requirements : None
double NXOpen::Drawings::StandardViewsBuilder::MarginToBorder | ( | ) |
Returns the margin to border
Created in NX6.0.1.
License requirements : None
NXOpen::Drawings::MultipleViewPlacementBuilder* NXOpen::Drawings::StandardViewsBuilder::MultipleViewPlacement | ( | ) |
Returns the multiple view placement
Created in NX6.0.2.
License requirements : None
NXOpen::Drawings::HiddenObjectsBuilder* NXOpen::Drawings::StandardViewsBuilder::NonSectionedObjects | ( | ) |
Returns the list of objects to not section in the view
Created in NX6.0.2.
License requirements : None
NXOpen::Part* NXOpen::Drawings::StandardViewsBuilder::Part | ( | ) |
Returns the part to use for base views
Created in NX6.0.2.
License requirements : None
NXOpen::Drawings::StandardViewsBuilder::Placement NXOpen::Drawings::StandardViewsBuilder::PlacementType | ( | ) |
Returns the Placement type
Use the type of the multiple view placement
Created in NX6.0.1.
License requirements : None
NXOpen::Drawings::ViewScaleBuilder* NXOpen::Drawings::StandardViewsBuilder::Scale | ( | ) |
Returns the view scale
Created in NX6.0.1.
License requirements : None
NXOpen::Drawings::ViewPlacementBuilder* NXOpen::Drawings::StandardViewsBuilder::SecondCorner | ( | ) |
Returns the second corner view placement
Use the second corner of the multiple view placemnent builder instead
Created in NX6.0.1.
License requirements : None
void NXOpen::Drawings::StandardViewsBuilder::SetAutoscale | ( | bool | autoScale | ) |
Sets the autoscale mode for base view creation
Created in NX6.0.2.
License requirements : nx_drafting_plus ("DraftingPlus")
autoScale | sets the auto-scale mode. |
void NXOpen::Drawings::StandardViewsBuilder::SetLayoutType | ( | NXOpen::Drawings::StandardViewsBuilder::Type | type | ) |
Sets the Layout type
Created in NX6.0.1.
License requirements : nx_drafting_plus ("DraftingPlus")
type | sets the layout type. |
void NXOpen::Drawings::StandardViewsBuilder::SetMarginBetweenViews | ( | double | marginBetweenViews | ) |
Sets the margin between views
Created in NX6.0.1.
License requirements : nx_drafting_plus ("DraftingPlus")
marginBetweenViews | sets the margin between views. |
void NXOpen::Drawings::StandardViewsBuilder::SetMarginToBorder | ( | double | marginToBorder | ) |
Sets the margin to border
Created in NX6.0.1.
License requirements : nx_drafting_plus ("DraftingPlus")
marginToBorder | sets the margin to border. |
void NXOpen::Drawings::StandardViewsBuilder::SetPart | ( | NXOpen::Part * | part | ) |
Sets the part to use for base views
Created in NX6.0.2.
License requirements : nx_drafting_plus ("DraftingPlus")
part | part |
void NXOpen::Drawings::StandardViewsBuilder::SetPlacementType | ( | NXOpen::Drawings::StandardViewsBuilder::Placement | type | ) |
Sets the Placement type
Use the type of the multiple view placement
Created in NX6.0.1.
License requirements : nx_drafting_plus ("DraftingPlus")
type | sets the layout type. |
void NXOpen::Drawings::StandardViewsBuilder::SetViewType | ( | NXOpen::Drawings::StandardViewsBuilder::View | viewType | ) |
Sets the view type
Created in NX6.0.2.
License requirements : nx_drafting_plus ("DraftingPlus")
viewType | sets the view type. |
NXOpen::Drawings::ViewPlacementBuilder* NXOpen::Drawings::StandardViewsBuilder::ViewPlacement | ( | ) |
Returns the view placement
Use GetMultipleViewPlacement instead
Created in NX6.0.1.
License requirements : None
NXOpen::Drawings::ViewStyleBuilder* NXOpen::Drawings::StandardViewsBuilder::ViewStyle | ( | ) |
Returns the view style
Created in NX6.0.1.
License requirements : None
NXOpen::Drawings::StandardViewsBuilder::View NXOpen::Drawings::StandardViewsBuilder::ViewType | ( | ) |
Returns the view type
Created in NX6.0.2.
License requirements : None